# Players

Retrieve detailed player information via one of our 5 player endpoints.

You can retrieve more detailed information by using the correct includes. Per endpoint you can find the details including base URL, parameters, includes and more.

* **GET All Players:** returns all the players that are accessible within your subscription.
* **GET Player by ID:** returns player information from your requested player ID.
* **GET Players by Country ID:** returns player information from your requested country ID.
* **GET Players Search by Name:** returns all the players that match your search query.
* **GET Last Updated Players:** returns all the players that have received updates in the past two hours.&#x20;

#### Include options

[`sport`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/z0kWjB5EvZvqGsozw8vP/) [`country`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/z0kWjB5EvZvqGsozw8vP/) [`city`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/z0kWjB5EvZvqGsozw8vP/) [`nationality`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/z0kWjB5EvZvqGsozw8vP/) [`transfers`](https://docs.sportmonks.com/v3/entities/other#transfer) [`pendingTransfers`](https://docs.sportmonks.com/v3/entities/other#transfer) [`teams`](https://docs.sportmonks.com/v3/entities/team-player-squad-coach-and-referee#team) [`statistics`](https://docs.sportmonks.com/v3/entities/statistic#playerstatistic) [`latest`](https://docs.sportmonks.com/v3/entities/fixture#fixture) [`position`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/z0kWjB5EvZvqGsozw8vP/) [`detailedPosition`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/z0kWjB5EvZvqGsozw8vP/)  [`lineups`](https://docs.sportmonks.com/v3/entities/fixture#lineup) [`trophies`](https://docs.sportmonks.com/v3/entities/other#participanttrophy) [`metadata`](https://docs.sportmonks.com/v3/entities/other#metadata)&#x20;

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the player endpoints are:

* [Player](https://docs.sportmonks.com/v3/entities/team-player-squad-coach-and-referee#player)

{% hint style="info" %}
Remember, our historical data will be integrated into the new version of our API gradually. So, the historical data is not yet complete. However, we will be loading more historical data continuously.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/players.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
